package edu.psu.geovista.datamining.data.HD;

/**
 * <p>Title: Interactive Spatial Data Mining for Large and High-Dimensional Data</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: GeoVISTA Center and Department of Geography, Pennsylvania State University</p>
 * @author Diansheng Guo
 * @version 1.0
 */
//import edu.psu.geovista.datamining.sort.*;

public interface BasicInstanceInterface extends Comparable/*, Sortable*/{

  /**
   * Return the ID of this instance.
   * */
  public int getId();

  /**
   * Return the Maximum ID in the dataset, i.e., the total number of instances.
   * */
  //public int getMaxId();

  /**
   * Return the number of dimensions that define this instance.
   * */
  public int getNumOfDimensions();

//  /***
//   * Return all the dimensions that define this instance.
//   *
//   * A DataInstance can consist only a selected set of dimensions from the
//   * original data. Array 'selectedDims' stores those selected dimension ids (as in the original data)
//   * 'values' is an array that contains only the data for those selected dimensions.
//   * So, be careful! For example, values[3] is the data for dimension selectedDims[3].
//   */
  //public int[] getDimensions();

  /***
   * Get the value for a specified dimension.
   * 'elementIdx' should be a value from 0 to getNumOfDimensions() -1.
   */
  public double getElement(int elementIdx);

  public double getOriginalElementValue(int elementIdx);

  //When implement this interface method, you need to define a private field (say, private Object parent
  //then in the following method, you simply do "return parent;".
  public Object getParentGroup();
  //Here inside this method you simply do "this.parent = parent;".
  public void setParentGroup(Object parent);
}
