package org.kepler.gui;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * Simple JUnit test which executes the org.kepler.moml.StartupInitialization routines.
 * It will execute all the steps defined in the config.xml file -- creating directories
 * and initializing db schema.
 * 
 * This test is rather unusual in that other tests (any test which uses the db)
 * requires this test to be executed and succeed first.  This is controlled externally
 * by the build.xml test task.
 * 
 * @author Kevin Ruland
 *
 */
public class KeplerInitializerTest extends TestCase {

	  public KeplerInitializerTest(String name)
	  {
	    super(name);
	  }

	  public void initialize()
	  {
		  try {
			  new KeplerInitializer();
		  }
		  catch (Exception e) {
			  System.err.println("Exception occurred during KeplerInitializer");
			  e.printStackTrace();
			  fail();
		  }
	  }

	  /**
	   * Create a suite of tests to be run together
	   */
	  public static Test suite()
	  {
	    TestSuite suite = new TestSuite();
	    suite.addTest(new KeplerInitializerTest("initialize"));
	    return suite;
	  }
}
